<%@ Page language="c#" Codebehind="Admin.aspx.cs" AutoEventWireup="false" Inherits="gbweb.Admin" %>
<%@ Register TagPrefix="gbpvr" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="gbpvr" TagName="Footer" Src="Footer.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>GBPVR - Config</title>
		<meta name="vs_snapToGrid" content="True">
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel="stylesheet" type="text/css" href="<%=gbweb.Global.ThemePath%>/styles.css">
		<link rel="shortcut icon" type="image/gif" href="<%=gbweb.Global.ThemePath%>/favicon.gif">
	</HEAD>
	<body class="tabbedpage">
		<form id="Form1" method="post" runat="server">
			<gbpvr:Header id="header" runat="server" ActiveTab="admin" />
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td colspan="2"><img src="public/t.gif" width="1" height="14" border="0"></td>
				</tr>
				<tr>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td width="99%">
						<table border="0" cellspacing="0" cellpadding="0" width="100%">
							<tr>
								<td width="99%" class="cline"><img src="public/t.gif" width="400" height="1" border="0"></td>
							</tr>
							<tr>
								<td width="99%"><span class="date"><img src="public/t.gif" width="1" height="4"><br>
										<b>Configuration</b></span></td>
							</tr>
						</table>
						<img src="public/t.gif" width="1" height="10"><br>
						<table class="listing" border="0">
							<colgroup>
								<col width="220">
								<col width="450">
							</colgroup>
							<tr valign="top">
								<td valign="top" align="right" nowrap><B>Minute Span:</B></td>
								<td align="left">
									<input type="text" name="txtMinuteSpan" size="5" id="txtMinuteSpan" runat="server">
									(how many minutes to show at once in the guide)
								</td>
							</tr>
							<tr valign="top">
								<td align="right"><B>Minute Interval:</B></td>
								<td align="left">
									<input type="text" name="txtMinuteInterval" size="5" id="txtMinuteInterval" runat="server">
									(number of minutes per division in the timeline)
								</td>
							</tr>
							<tr valign="top">
								<td align="right"><B>Minute Slice:</B></td>
								<td align="left">
									<input type="text" name="txtMinuteSlice" size="5" id="txtMinuteSlice" runat="server">
									(accuracy of program layout)
								</td>
							</tr>
							<tr valign="top">
								<td align="right"><B>Timeline Repeat:</B></td>
								<td align="left">
									<input type="text" name="txtTimelineRepeat" size="5" id="txtTimelineRepeat" runat="server">
								</td>
							</tr>
							<TR>
								<TD align="right"><B>Default Recording Quality:</B></TD>
								<TD align="left">
									<asp:DropDownList id="dropdownRecordingQuality" runat="server">
										<asp:ListItem Value="High">High</asp:ListItem>
										<asp:ListItem Value="Medium" Selected="True">Medium</asp:ListItem>
										<asp:ListItem Value="Low">Low</asp:ListItem>
										<asp:ListItem Value="Custom1">Custom1</asp:ListItem>
										<asp:ListItem Value="Custom2">Custom2</asp:ListItem>
									</asp:DropDownList></TD>
							</TR>
							<tr valign="top">
								<td align="right" valign="top"><B>Theme:</B></td>
								<td align="left">
									<asp:DropDownList id="dropdownThemes" runat="server"></asp:DropDownList>
								</td>
							</tr>
							<TR>
								<TD vAlign="top" align="right"><B>Programme Items to Display:</B></TD>
								<TD align="left">
									<asp:CheckBox id="showSubtitle" runat="server"></asp:CheckBox>Subtitle<BR>
									<asp:CheckBox id="showIMDB" runat="server"></asp:CheckBox>IMDB Link<BR>
									<asp:CheckBox id="showNetflix" runat="server"></asp:CheckBox>Netflix Link<BR>
									<asp:CheckBox id="showDescription" runat="server"></asp:CheckBox>Description<BR>
									<asp:CheckBox id="UseChannelIcons" runat="server"></asp:CheckBox>Use Channel 
									Icons Instead of Text<BR>
									<asp:RadioButtonList id="showGenre" runat="server" CssClass="listing" RepeatDirection="Horizontal" RepeatLayout="Flow">
										<asp:ListItem Value="noGenre">Show No Genres</asp:ListItem>
										<asp:ListItem Value="singleGenre">Show Single Best Genre</asp:ListItem>
										<asp:ListItem Value="allGenre">Show All Genres</asp:ListItem>
									</asp:RadioButtonList><span runat="server" id="spanZapEPG">
										<BR>
										<asp:CheckBox id="showRating" runat="server"></asp:CheckBox>Rating</span> <span runat="server" id="spanZapTools">
										<BR>
										<asp:CheckBox id="showRepeat" runat="server"></asp:CheckBox>Repeat Indicator<BR>
										<asp:CheckBox id="showCredits" runat="server"></asp:CheckBox>Show Credits<BR>
										<asp:CheckBox id="showAirDate" runat="server"></asp:CheckBox>Show Air/Release Date<BR>
										<asp:CheckBox id="showStarRating" runat="server"></asp:CheckBox>Show Star Rating</span>
								</TD>
							</TR>
							<tr valign="top">
								<td align="right" valign="top"><B>Channel Icon Size:</B></td>
								<td align="left">
									<span style="FLOAT: left"><input type="text" name="txtChnlIconW" size="4" id="txtChnlIconW" runat="server" maxlength="3">
										x <input type="text" name="txtChnlIconH" size="4" id="txtChnlIconH" runat="server" maxlength="3">&nbsp;
									</span>
									<asp:LinkButton id="sizeDefault" runat="server" CssClass="btn-normal-small">
										<span>Default</span></asp:LinkButton>
								</td>
							</tr>
							<TR>
								<TD vAlign="top" align="right"><B>Playlist Extension:</B></TD>
								<TD align="left"><INPUT id="playlistExtension" type="text" size="5" value="m3u" name="txtTimelineRepeat"
										runat="server"> (used for webadmin playback)</TD>
							</TR>
							<TR>
								<TD vAlign="top" align="right"><B>Automatic Login Range:</B></TD>
								<TD align="left">
									<asp:TextBox id="txtAutologinList" runat="server" Columns="60">127.0.0.0/8,10.0.0.0/8,172.16.0.0/12,192.168.0.0/16,169.254.0.0/16</asp:TextBox>
								</TD>
							</TR>
							<TR>
								<TD></TD>
								<TD>
									<span style="FLOAT: left; PADDING-TOP: 2px">Quick Picks:&nbsp;</span>
									<asp:LinkButton id="hlAutologinInternal" runat="server" CssClass="btn-normal-small">
										<span>Internal</span></asp:LinkButton>
									<asp:LinkButton id="hlAutologinNone" runat="server" CssClass="btn-normal-small">
										<span>None</span></asp:LinkButton>
									<span style="FLOAT: left; PADDING-TOP: 2px">(<a href="http://en.wikipedia.org/wiki/IPv4_subnetting_reference" target="_blank">help</a>)
									</span>
								</TD>
							</TR>
							<TR>
								<TD></TD>
								<TD>
									<asp:Label CssClass="conflict" id="lblAutologinWarning" runat="server"></asp:Label>
								</TD>
							</TR>
							<tr valign="top">
								<td colspan="2"><br>
									<div style="FLOAT: right">
										<asp:LinkButton id="hlSubmit" runat="server" CssClass="btn-normal-small">
											<span>Submit</span></asp:LinkButton>
										<asp:HyperLink NavigateUrl="#" id="hlReset" runat="server" CssClass="btn-normal-small" OnClick="document.Form1.reset();return false;">
											<span>Reset</span></asp:HyperLink>
									</div>
								</td>
							</tr>
						</table>
						<img src="public/t.gif" width="1" height="10"><br>
						<!-- Manage table end -->
						<gbpvr:Footer id="Footer1" runat="server" />
					</td>
					<td width="10"><img src="public/t.gif" width="10" height="71" border="0"></td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
