<%@ Page language="c#" Codebehind="Details.aspx.cs" AutoEventWireup="false" Inherits="gbweb.Details" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>GBPVR - Program Information</title>
		<META http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel="stylesheet" type="text/css" href="<%=gbweb.Global.ThemePath%>/styles.css">
		<link rel="shortcut icon" type="image/gif" href="<%=gbweb.Global.ThemePath%>/favicon.gif">
		<script>
			function reloadAndClose()
			{
				window.opener.document.Form1.submit();
				window.close();
			}
			function showAllEpisodes()
			{
				window.opener.location = "SearchResults.aspx?matchTitle=on&textKeyWord=<%=showTitle.Text%>";
				window.close();
			}
			function showThisEpisodeBySubtitle()
			{
				window.opener.location = "SearchResults.aspx?matchSubtitle=on&textKeyWord=<%=showSubTitle.Text%>";
				window.close();
			}
			function showThisEpisodeByUniqueID()
			{
				window.opener.location = "SearchResults.aspx?matchUniqueID=on&textKeyWord=<%=programUniqueIdentifier%>";
				window.close();
			}
		</script>
	</HEAD>
	<body class="popuppage">
		<form id="Form1" method="post" runat="server">
			<table border="0" cellspacing="0" cellpadding="0" width="100%" height="455">
				<!-- Topbar begin -->
				<tr height="1">
					<td width="10"><img src="public/t.gif" width="10" height="71" border="0"></td>
					<td width="99%" colspan="3">
						<table border="0" cellspacing="0" cellpadding="0" width="100%">
							<tr>
								<td width="50"><img src="<%=gbweb.Global.ThemePath%>/logo_gbpvr.gif" width="135" height="31" border="0"><br>
									<img src="public/t.gif" width="1" height="14" border="0">
								</td>
								<td align="right"><img src="<%=gbweb.Global.ThemePath%>/program_hdr_pi.gif" width="253" height="45" border="0"></td>
							</tr>
						</table>
					</td>
				</tr>
				<!-- Topbar end -->
				<!-- Center Well -->
				<tr valign="top" height="1">
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td class="listing" colspan="2" align="center">
						<asp:Label id="RecordMessage" runat="server" CssClass="conflict" Visible="False">Record Message</asp:Label></td>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
				</tr>
				<tr valign="top" height="1">
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td class="listing" colspan="2">
						<span class="date"><b>
								<asp:Label id="showTitle" runat="server">Show Title</asp:Label></b></span>
						- <a href="javascript:showAllEpisodes();">all episodes</a><span id="divUniqueID" runat="server">,
							<A href="javascript:showThisEpisodeByUniqueID();">this episode</A></span>
						<br>
						<br>
					</td>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
				</tr>
				<tr valign="top" height="1">
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td class="listing">
						<b>Date:</b><br>
						<asp:Label id="showStartDate" runat="server">showStartDate</asp:Label>
						<br>
						<asp:Label id="showTimes" runat="server">showTimes</asp:Label>
						<br>
					</td>
					<td class="listing">
						<b>Channel:</b><br>
						<asp:Label id="showChannel" runat="server">showChannel</asp:Label>
					</td>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
				</tr>
				<tr valign="top" height="1">
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td class="listing" colspan="2">
						<asp:Panel id="subTitlePanel" runat="server" CssClass="listing"><BR><B>Episode:</B><BR>
							<asp:Label id="showSubTitle" runat="server">show sub title</asp:Label> - 
							<A href="javascript:showThisEpisodeBySubtitle();">this episode</A><BR>
						</asp:Panel>
						<asp:Panel id="descriptionPanel" runat="server" CssClass="listing">
							<BR>
							<B>Description:</B><BR>
							<asp:Label id="showDescription" runat="server" CssClass="listing">show description</asp:Label>
							<BR>
						</asp:Panel>
						<br>
					</td>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
				</tr>
				<tr valign="bottom">
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td class="listing" colspan="2">
						<asp:Panel id="recordingOptionsPanel" runat="server" HorizontalAlign="Center">
							<table cellSpacing="0" cellPadding="0" width="95%" border="1">
								<tr>
									<td>
										<TABLE class="listing" cellSpacing="0" cellPadding="10" width="100%" border="0">
											<TR>
												<TD>
													<asp:RadioButtonList id="radioTime" runat="server" CssClass="listing" CellSpacing="0" CellPadding="0">
														<asp:ListItem Value="once" Selected="True">Once</asp:ListItem>
														<asp:ListItem Value="thisTime">This time slot</asp:ListItem>
														<asp:ListItem Value="anyTime">Any time slot</asp:ListItem>
													</asp:RadioButtonList>
												</TD>
												<TD>
													<asp:RadioButtonList id="radioDay" runat="server" CssClass="listing" CellSpacing="0" CellPadding="0">
														<asp:ListItem Value="thisDay" Selected="True">This day only</asp:ListItem>
														<asp:ListItem Value="anyDay">Any Day</asp:ListItem>
														<asp:ListItem Value="specificDays">Specific day(s)</asp:ListItem>
													</asp:RadioButtonList>
												</TD>
											</TR>
											<TR>
												<TD>
													Quality:<BR>
													<asp:DropDownList id="quality" runat="server">
														<asp:ListItem Value="High">High</asp:ListItem>
														<asp:ListItem Value="Medium" Selected="True">Medium</asp:ListItem>
														<asp:ListItem Value="Low">Low</asp:ListItem>
														<asp:ListItem Value="Custom1">Custom1</asp:ListItem>
														<asp:ListItem Value="Custom2">Custom2</asp:ListItem>
														<asp:ListItem></asp:ListItem>
													</asp:DropDownList><BR>
													<BR>
													Recordings to keep:<BR>
													<asp:TextBox id="keepRecordings" runat="server" Columns="3" MaxLength="3">0</asp:TextBox> (0 = all)
													<BR>
												</TD>
												<TD>
													<asp:CheckBoxList id="checkedDays" runat="server" CssClass="listing" RepeatColumns="2">
														<asp:ListItem Value="monday">Monday</asp:ListItem>
														<asp:ListItem Value="tuesday">Tuesday</asp:ListItem>
														<asp:ListItem Value="wednesday">Wednesday</asp:ListItem>
														<asp:ListItem Value="thursday">Thursday</asp:ListItem>
														<asp:ListItem Value="friday">Friday</asp:ListItem>
														<asp:ListItem Value="saturday">Saturday</asp:ListItem>
														<asp:ListItem Value="sunday">Sunday</asp:ListItem>
													</asp:CheckBoxList>
												</TD>
											</TR>
										</TABLE>
									</td>
								</tr>
							</table>
							<IMG height="10" src="public/t.gif" width="10" border="0"> 
						</asp:Panel>
						<asp:Panel id="recordingDetailsPanel" runat="server" HorizontalAlign="Center">
							<TABLE cellSpacing="0" cellPadding="0" width="91%" border="1">
								<TR>
									<TD class="listdesc">
										<TABLE class="listdesc" cellSpacing="0" width="95%" align="center" border="0">
											<TR>
												<TD vAlign="middle" width="171"><B>Quality:&nbsp;</B>
													<asp:Label id="recordingQuality" runat="server" CssClass="listing">recording quality</asp:Label></TD>
												<TD><A id="watchLink" href="#" runat="server">watch</A></NOBR>
												</TD>
											</TR>
										</TABLE>
									</TD>
								</TR>
							</TABLE>
							<IMG height="10" src="public/t.gif" width="10" border="0">
						</asp:Panel>
					</td>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
				</tr>
				<tr valign="bottom" height="1">
					<td class="listing" colspan="4">
						<table border="0" cellspacing="0" cellpadding="0" width="100%">
							<tr>
								<td align="right"><asp:LinkButton id="lnkRecordCancel" runat="server" CssClass="btn-normal-large" Style="FLOAT:right"><span runat="server" id="spanRecordCancel">[lnkRecordCancel]</span></asp:LinkButton></td>
								<td><a href='javascript:window.close();' Class="btn-normal-large"><span>Close - take no 
											action</span></a></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
