<%@ Page language="c#" Codebehind="Info.aspx.cs" AutoEventWireup="false" Inherits="gbweb.Info" %>
<%@ Register TagPrefix="gbpvr" TagName="Header" Src="Header.ascx" %>
<%@ Register TagPrefix="gbpvr" TagName="Footer" Src="Footer.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>GBPVR - Statistics</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<link rel="stylesheet" type="text/css" href="<%=gbweb.Global.ThemePath%>/styles.css">
		<link rel="shortcut icon" type="image/gif" href="<%=gbweb.Global.ThemePath%>/favicon.gif">
		<script language="javascript" src="public/popup.js"></script>
	</HEAD>
	<body class="tabbedpage">
		<form id="Form1" method="post" runat="server">
			<gbpvr:Header id="header" runat="server" ActiveTab="info" />
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td colspan="2"><img src="public/t.gif" width="1" height="14" border="0"></td>
				</tr>
				<tr>
					<td width="10"><img src="public/t.gif" width="10" height="1" border="0"></td>
					<td width="99%">
						<table border="0" cellspacing="0" cellpadding="0" width="100%">
							<tr>
								<td width="99%" class="cline"><img src="public/t.gif" width="400" height="1" border="0"></td>
							</tr>
							<tr>
								<td width="99%"><span class="date"> <img src="public/t.gif" width="1" height="4"><br>
										<b>Statistics</b></span></td>
							</tr>
						</table>
						<img src="public/t.gif" width="1" height="10"><br>
						<table class="listing" border="0">
							<colgroup>
								<col width="200">
							</colgroup>
							<tr valign="top">
								<td valign="top" align="right" nowrap><B>Recordings Directory:</B></td>
								<td align="left">
									<asp:Label id="lblRecordingStats" runat="server"></asp:Label>
									<br>
									<img id="imgRecordingUsedSystem" runat="server" src="public/t.gif" class="diskusedsystem"><img id="imgRecordingUsedGBPVR" runat="server" src="public/t.gif" class="diskusedgbpvr"><img id="imgRecordingFree" runat="server" src="public/t.gif" class="diskfree">
								</td>
							</tr>
							<tr valign="top">
								<td align="right"><B>LiveTV Buffer Directory:</B></td>
								<td align="left">
									<asp:Label id="lblBufferStats" runat="server"></asp:Label>
									<br>
									<img id="imgBufferUsedSystem" runat="server" src="public/t.gif" class="diskusedsystem"><img id="imgBufferUsedGBPVR" runat="server" src="public/t.gif" class="diskusedgbpvr"><img id="imgBufferFree" runat="server" src="public/t.gif" class="diskfree">
								</td>
							</tr>
							<tr valign="top">
								<td align="right"><b>Schedule Status:</b></td>
								<td align="left">
									<asp:Label id="lblScheduleStatus" runat="server"></asp:Label></td>
							</tr>
							<tr valign="top">
								<td align="right"><b>EPG Remaining:</b></td>
								<td align="left">
									<asp:Label id="lblEPGRemaining" runat="server">Unable To Determine Amount Of Guide Data Left</asp:Label></td>
							</tr>
							<tr valign="top">
								<td align="right"><b>Currently Transcoding:</b></td>
								<td align="left">
									<asp:Label id="lblCurrentTranscode" runat="server">Unable To Determine Files Currently Being Transcoded</asp:Label></td>
							</tr>
							<asp:Repeater ID="rptRecordingSource" Runat="server">
								<ItemTemplate>
									<tr valign="top">
										<td align="right"><b><%# GetSourceName(Container) %>:</b></td>
										<td align="left"><%# GetSourceStatus(Container) %></td>
									</tr>
								</ItemTemplate>
							</asp:Repeater>
							<TR>
								<TD vAlign="top" align="right"><b>Change Log:</b></TD>
								<TD align="left"><a href="public/ChangeLog.xml" onclick="EditPop3(this.href,'Chng');return false;">changelog.xml</a></TD>
							</TR>
							<tr valign="top">
								<td align="right"><B>Log File:</B></td>
								<td align="left">
									<asp:HyperLink id="hlLogFile" runat="server">View</asp:HyperLink>
								</td>
							</tr>
						</table>
						<img src="public/t.gif" width="1" height="10"><br>
						<!-- Manage table end -->
						<gbpvr:Footer id="footer" runat="server" />
					</td>
					<td width="10"><img src="public/t.gif" width="10" height="71" border="0"></td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
